package be.iminds.ilabt.jfed.experimenter_gui.tutorials;


import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;

import java.util.List;

/**
 * User: twalcari
 * Date: 3/10/2016
 * Time: 15:33
 */
@JacksonXmlRootElement(localName = "f4ftuts" )
public class Tutorials {

    private String version;

    @JacksonXmlProperty(localName = "f4ftut")
    @JacksonXmlElementWrapper(useWrapping=false)
    private List<Tutorial> tutorials;

    public Tutorials() {
    }

    @JacksonXmlProperty(isAttribute = true)
    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public List<Tutorial> getTutorials() {
        return tutorials;
    }

    public void setTutorials(List<Tutorial> tutorials) {
        this.tutorials = tutorials;
    }
}
